hexagon-checkAlterar Status do Marco

Responsável por alterar o status do marco de um escrow através do prestador de serviços.

Cabeçalhos

Nome
Valor

Content-Type

application/json

x-api-key

<token>

Open API

post
Autorizações
Corpo
contractIdstringObrigatório

ID (address) that identifies the escrow contract

Example: CAZ6UQX7...
milestoneIndexstringObrigatório

milestone within the group of milestones in the escrow

Example: 1
newEvidencestringObrigatório

New value for the evidence property within the escrow milestone

Example: Evidence
newStatusstringObrigatório

New value for the status property within the escrow milestone

Example: Completed
serviceProviderstringObrigatório

Address of the entity providing the service

Example: Completed
Respostas
chevron-right
201

This endpoint returns an unsigned transaction in XDR format. This XDR is then used to sign the transaction using the “/helper/send-transaction” endpoint.

application/json
post
/escrow/single-release/change-milestone-status

O que este Endpoint retorna?

Este endpoint retorna a transação não assinada para que a transação possa ser assinada por meio da carteira do cliente.

Exemplo de uso:

Atualizado

Isto foi útil?